def second_query(baseinfo_list):
    result_list = []
    for item in baseinfo_list:
        for key, value in item.items():
            if isinstance(value, dict):
                # 检查所有最内层的值是否都是 "未知"
                if all(v == "未知" for v in value.values()):
                    result_list.append(key)
    return result_list

# 示例用法
baseinfo_list = [
    {
        "招标人联系方式": {
            "名称": "未知",
            "地址": "未知",
        },
        "项目名称": {
            "名称": "项目A",
            "地址": "未知",
        }
    },
    {
        "供应商信息": {
            "名称": "未知",
            "联系方式": "未知",
        },
        "合同详情": {
            "金额": "100万",
            "期限": "未知",
        }
    }
]

result = second_query(baseinfo_list)
print(result)  # 输出: ['招标人联系方式', '供应商信息']
